import { Box } from "@open-pioneer/chakra-integration";

export const Logo = () => {
    return (
        <div>
            <Box w={{ base: "190px", custombreak: "246px" }} id="svg1">
                <svg
                    width="100%"
                    height="67"
                    viewBox="0 0 246 67"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                >
                    <g>
                        <path d="M61.4748 0H0V61.7753H61.4748V0Z" fill="#A4E5EC" />
                        <path
                            d="M61.474 28.6081V61.7753H0V28.6081C6.87385 25.332 18.0843 23.1975 30.7374 23.1975C43.3898 23.1975 54.601 25.332 61.474 28.6081Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M0 51.2185C6.87385 47.9424 18.0843 45.8072 30.7374 45.8072C43.3898 45.8072 54.6009 47.9424 61.4748 51.2185V61.7753H0V51.2185Z"
                            fill="#05668D"
                        />
                        <path
                            d="M0 21.2942C9.44507 17.5248 20.0912 14.1284 30.9319 14.6481C31.4167 13.2388 32.7482 12.2259 34.316 12.2259C36.1678 12.2259 37.6908 13.639 37.876 15.4509C46.5137 16.8128 54.6002 19.0667 61.474 23.2643V25.4243C61.1498 25.1397 60.9615 24.9737 60.9615 24.9737C54.4304 20.8871 46.7429 18.6657 38.5198 17.303C45.8961 22.2544 50.5199 28.7051 52.4836 36.6031C53.2895 36.5837 54.1116 36.7357 54.8997 37.0778C56.6318 37.8293 57.8106 39.3325 58.2212 41.0442C59.3451 40.6859 60.4304 40.2663 61.474 39.7815V41.6748C60.4729 42.1052 59.4362 42.483 58.3679 42.8079C58.3231 43.4424 58.1726 44.0792 57.9078 44.6958C56.7036 47.498 53.5612 48.8584 50.736 47.8781C50.7345 47.8835 50.7321 47.8881 50.7298 47.8936L47.4075 55.624C47.3396 55.7815 47.1582 55.8536 47.0015 55.7861L46.7622 55.6822C46.6055 55.6147 46.533 55.4317 46.6009 55.2742L49.9232 47.5438C49.9255 47.5383 49.9278 47.5337 49.9301 47.5283C47.3049 46.1461 46.1339 42.9561 47.2894 40.1701C37.9385 34.2088 27.0299 30.0058 13.6165 28.6214C13.2452 30.0322 12.2394 31.2437 10.8237 31.8293C10.8252 31.8347 10.8276 31.8401 10.8291 31.8463L12.9017 38.4902C12.9534 38.6538 12.8623 38.8283 12.7002 38.8795L12.4933 38.9439C12.3312 38.9951 12.1576 38.9043 12.1066 38.7407L10.034 32.0961C10.0325 32.0907 10.031 32.0852 10.0294 32.079C7.63881 32.6103 5.20035 31.2228 4.45468 28.8316C4.23855 28.1397 4.18683 27.4347 4.27792 26.7599C2.82904 26.4458 1.42803 26.2294 0 26.1394V24.3951C1.60711 24.4921 3.18104 24.7418 4.81671 25.1071C5.38715 24.0538 6.34972 23.2131 7.5786 22.8253C9.1834 22.3204 10.8546 22.7105 12.058 23.7165C16.0642 20.9786 21.8095 18.5083 29.27 16.3219C18.9882 16.1815 8.93639 19.5181 0 23.1355V21.2942ZM13.1572 25.0389C13.3185 25.3266 13.4536 25.6369 13.5555 25.9649C13.6527 26.2752 13.716 26.5877 13.7492 26.8988C27.4653 28.3065 38.6178 32.6002 48.1779 38.691C48.8718 37.8526 49.7796 37.2407 50.7816 36.9025C48.8348 29.2457 44.2342 23.0332 36.9042 18.3058C36.3368 18.9031 35.5665 19.3041 34.705 19.3971C34.7058 19.4041 34.7058 19.4111 34.7058 19.4181V24.6441C34.7058 24.8155 34.5676 24.9543 34.397 24.9543H34.2349C34.0643 24.9543 33.9262 24.8155 33.9262 24.6441V19.4181C33.9262 19.4111 33.9262 19.4041 33.9269 19.3971C32.7459 19.2691 31.737 18.5633 31.1859 17.5675C23.3008 19.7671 17.273 22.2459 13.1572 25.0389Z"
                            fill="white"
                        />
                        <path
                            d="M93.3503 37.7763H87.0067L76.7669 19.8851H76.6228C76.8269 23.0442 76.9284 25.2983 76.9284 26.6461V37.7763H72.4683V14.1253H78.7635L88.9871 31.8392H89.1001C88.9386 28.7658 88.8579 26.5928 88.8579 25.3203V14.1253H93.3503V37.7763Z"
                            fill="#05668D"
                        />
                        <path
                            d="M102.536 37.7763H97.6262V14.1253H111.117V18.2348H102.536V24.3329H110.522V28.4262H102.536V37.7763Z"
                            fill="#05668D"
                        />
                        <path
                            d="M128.419 25.8546C128.419 20.7751 126.186 18.2348 121.721 18.2348H119.065V33.6355H121.206C126.014 33.6355 128.419 31.0419 128.419 25.8546ZM133.604 25.7248C133.604 29.6187 132.501 32.6006 130.294 34.6704C128.089 36.7414 124.903 37.7774 120.74 37.7774H114.074V14.1264H121.464C125.306 14.1264 128.29 15.1451 130.416 17.1836C132.54 19.2222 133.604 22.0696 133.604 25.7248Z"
                            fill="#05668D"
                        />
                        <path
                            d="M141.823 14.1264H136.833V37.7774H141.823V14.1264Z"
                            fill="#05668D"
                        />
                        <path
                            d="M152.85 34.7817V31.7326C152.85 31.225 152.871 30.4867 152.911 29.5202C152.953 28.5525 152.985 27.9916 153.009 27.8352H152.911C152.609 28.5073 152.247 29.1633 151.822 29.803L148.543 34.7817H152.85ZM158.699 37.7322H156.545V41.4581H152.85V37.7322H145.214V35.0888L153.058 23.4835H156.545V34.7817H158.699V37.7322Z"
                            fill="#05668D"
                        />
                        <path
                            d="M175.609 37.7763H162.053V14.1253H175.609V18.2348H167.044V23.4278H175.014V27.5362H167.044V33.6355H175.609V37.7763Z"
                            fill="#05668D"
                        />
                        <path
                            d="M190.115 29.3969L188.215 29.4618C186.787 29.5047 185.725 29.7631 185.027 30.2383C184.33 30.7123 183.981 31.4355 183.981 32.4055C183.981 33.7973 184.775 34.4927 186.364 34.4927C187.501 34.4927 188.411 34.1635 189.093 33.5064C189.774 32.8482 190.115 31.9743 190.115 30.885V29.3969ZM191.564 37.777L190.614 35.3178H190.485C189.658 36.3643 188.808 37.0886 187.933 37.4931C187.059 37.8975 185.918 38.1003 184.512 38.1003C182.784 38.1003 181.424 37.6043 180.431 36.6123C179.438 35.6203 178.942 34.2064 178.942 32.3742C178.942 30.4539 179.61 29.0388 180.946 28.1268C182.282 27.2159 184.297 26.7117 186.992 26.6144L190.115 26.517V25.7244C190.115 23.891 189.181 22.9743 187.313 22.9743C185.875 22.9743 184.184 23.4112 182.242 24.285L180.616 20.9531C182.687 19.8637 184.985 19.3191 187.507 19.3191C189.921 19.3191 191.774 19.8475 193.061 20.9044C194.349 21.9614 194.993 23.5676 194.993 25.7244V37.777H191.564Z"
                            fill="#05668D"
                        />
                        <path
                            d="M210.094 19.3509C210.759 19.3509 211.312 19.3996 211.752 19.4969L211.382 24.1233C210.984 24.0155 210.502 23.9611 209.932 23.9611C208.366 23.9611 207.145 24.3655 206.27 25.1744C205.395 25.9834 204.958 27.1156 204.958 28.5712V37.7764H200.048V19.6905H203.766L204.492 22.7315H204.733C205.291 21.7186 206.044 20.9015 206.995 20.2815C207.945 19.6615 208.977 19.3509 210.094 19.3509Z"
                            fill="#05668D"
                        />
                        <path
                            d="M222.604 34.1685C223.462 34.1685 224.493 33.9796 225.695 33.6018V37.2744C224.471 37.8249 222.968 38.0995 221.188 38.0995C219.223 38.0995 217.793 37.6012 216.897 36.6034C216.001 35.6056 215.552 34.1094 215.552 32.1138V23.3941H213.202V21.3081L215.906 19.6578L217.324 15.8404H220.463V19.6903H225.502V23.3941H220.463V32.1138C220.463 32.8149 220.658 33.3329 221.05 33.6667C221.442 34.0016 221.96 34.1685 222.604 34.1685Z"
                            fill="#05668D"
                        />
                        <path
                            d="M245.948 37.7769H241.038V27.2134C241.038 24.6036 240.071 23.2986 238.139 23.2986C236.766 23.2986 235.773 23.768 235.161 24.7055C234.549 25.6443 234.243 27.1647 234.243 29.2682V37.7769H229.333V12.6054H234.243V17.7335C234.243 18.1322 234.205 19.0709 234.13 20.5485L234.018 22.0041H234.276C235.37 20.2356 237.109 19.3514 239.492 19.3514C241.606 19.3514 243.211 19.9227 244.305 21.0666C245.401 22.2093 245.948 23.8491 245.948 25.9838V37.7769Z"
                            fill="#05668D"
                        />
                        <path
                            d="M85.9287 56.2625C85.9287 58.6337 85.3436 60.4562 84.1734 61.73C83.0032 63.0038 81.3259 63.6407 79.1415 63.6407C76.9572 63.6407 75.2799 63.0038 74.1097 61.73C72.9395 60.4562 72.3544 58.6272 72.3544 56.2429C72.3544 53.8587 72.9395 52.0394 74.1097 50.7853C75.2864 49.5245 76.9702 48.8942 79.161 48.8942C81.3519 48.8942 83.026 49.5278 84.1832 50.7951C85.3469 52.0623 85.9287 53.8848 85.9287 56.2625ZM75.5237 56.2625C75.5237 57.8629 75.826 59.0681 76.4306 59.8781C77.0352 60.6881 77.9388 61.0931 79.1415 61.0931C81.5535 61.0931 82.7594 59.4829 82.7594 56.2625C82.7594 53.0356 81.56 51.4221 79.161 51.4221C77.9583 51.4221 77.0514 51.8304 76.4403 52.6469C75.8292 53.4569 75.5237 54.6621 75.5237 56.2625Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M98.7132 63.4447H95.7389V57.0464C95.7389 56.256 95.5991 55.6648 95.3196 55.2729C95.04 54.8744 94.5947 54.6752 93.9836 54.6752C93.1515 54.6752 92.5501 54.9561 92.1796 55.5179C91.809 56.0731 91.6237 56.9974 91.6237 58.2908V63.4447H88.6494V52.4902H90.9216L91.3214 53.8913H91.4872C91.8187 53.3622 92.2738 52.9638 92.8524 52.6959C93.4375 52.4216 94.1006 52.2844 94.8418 52.2844C96.1095 52.2844 97.0716 52.6306 97.7283 53.323C98.3849 54.0089 98.7132 55.0018 98.7132 56.3017V63.4447Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M106.29 54.4107C105.66 54.4107 105.166 54.6132 104.808 55.0182C104.45 55.4166 104.246 55.9849 104.194 56.7231H108.367C108.354 55.9849 108.163 55.4166 107.792 55.0182C107.421 54.6132 106.921 54.4107 106.29 54.4107ZM106.71 63.6407C104.954 63.6407 103.583 63.1541 102.594 62.1808C101.606 61.2075 101.112 59.8291 101.112 58.0458C101.112 56.2103 101.567 54.7928 102.477 53.7934C103.394 52.7874 104.658 52.2844 106.271 52.2844C107.812 52.2844 109.011 52.7253 109.869 53.6072C110.727 54.489 111.156 55.7073 111.156 57.262V58.7121H104.125C104.158 59.5613 104.408 60.2244 104.876 60.7012C105.344 61.1781 106.001 61.4165 106.846 61.4165C107.503 61.4165 108.124 61.3479 108.709 61.2107C109.294 61.0735 109.905 60.8547 110.542 60.5542V62.8666C110.022 63.1279 109.466 63.3206 108.874 63.4447C108.283 63.5754 107.561 63.6407 106.71 63.6407Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M122.225 59.4666C122.225 60.76 121.76 61.779 120.83 62.5237C119.907 63.2684 118.62 63.6407 116.968 63.6407C115.447 63.6407 114.101 63.3533 112.931 62.7785V59.9565C113.893 60.3877 114.706 60.6914 115.369 60.8678C116.039 61.0441 116.65 61.1323 117.202 61.1323C117.865 61.1323 118.373 61.005 118.724 60.7502C119.081 60.4954 119.26 60.1166 119.26 59.6136C119.26 59.3327 119.182 59.0845 119.026 58.8689C118.87 58.6468 118.639 58.4345 118.334 58.232C118.035 58.0295 117.42 57.7062 116.491 57.262C115.619 56.8504 114.966 56.4552 114.53 56.0764C114.095 55.6975 113.747 55.2566 113.487 54.7536C113.227 54.2506 113.097 53.6627 113.097 52.9899C113.097 51.7226 113.523 50.7265 114.374 50.0014C115.233 49.2763 116.416 48.9138 117.924 48.9138C118.665 48.9138 119.371 49.002 120.04 49.1783C120.716 49.3547 121.422 49.6029 122.156 49.923L121.181 52.2844C120.42 51.9709 119.79 51.752 119.289 51.6279C118.795 51.5038 118.308 51.4417 117.826 51.4417C117.254 51.4417 116.816 51.5757 116.51 51.8435C116.204 52.1113 116.052 52.4608 116.052 52.8919C116.052 53.1597 116.113 53.3949 116.237 53.5974C116.36 53.7934 116.556 53.9861 116.822 54.1755C117.095 54.3584 117.735 54.6915 118.743 55.1749C120.076 55.8151 120.989 56.4585 121.483 57.1052C121.977 57.7454 122.225 58.5325 122.225 59.4666Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M129.168 61.2597C129.688 61.2597 130.312 61.1454 131.04 60.9168V63.141C130.299 63.4741 129.389 63.6407 128.31 63.6407C127.12 63.6407 126.252 63.3402 125.706 62.7393C125.166 62.1318 124.896 61.2238 124.896 60.0153V54.734H123.473V53.47L125.111 52.4706L125.969 50.1582H127.871V52.4902H130.923V54.734H127.871V60.0153C127.871 60.4399 127.988 60.7535 128.222 60.956C128.462 61.1585 128.778 61.2597 129.168 61.2597Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M135.623 57.9479C135.623 59.0322 135.799 59.852 136.15 60.4073C136.507 60.9625 137.086 61.2401 137.886 61.2401C138.679 61.2401 139.248 60.9658 139.592 60.4171C139.943 59.8618 140.119 59.0387 140.119 57.9479C140.119 56.8635 139.943 56.0502 139.592 55.5081C139.241 54.9659 138.666 54.6948 137.866 54.6948C137.073 54.6948 136.501 54.9659 136.15 55.5081C135.799 56.0437 135.623 56.857 135.623 57.9479ZM143.161 57.9479C143.161 59.7312 142.693 61.1258 141.757 62.1318C140.821 63.1377 139.518 63.6407 137.847 63.6407C136.8 63.6407 135.877 63.4121 135.077 62.9548C134.278 62.491 133.663 61.828 133.234 60.9658C132.805 60.1035 132.591 59.0975 132.591 57.9479C132.591 56.158 133.055 54.7667 133.985 53.7738C134.915 52.7809 136.221 52.2844 137.905 52.2844C138.952 52.2844 139.875 52.513 140.675 52.9703C141.474 53.4275 142.089 54.084 142.518 54.9398C142.947 55.7955 143.161 56.7982 143.161 57.9479Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M151.606 63.6407C150.326 63.6407 149.321 63.1737 148.593 62.2395H148.437C148.541 63.1541 148.593 63.6832 148.593 63.8269V68.2655H145.619V52.4902H148.037L148.457 53.9109H148.593C149.289 52.8266 150.319 52.2844 151.684 52.2844C152.972 52.2844 153.979 52.7841 154.707 53.7836C155.436 54.783 155.8 56.1711 155.8 57.9479C155.8 59.1171 155.627 60.1329 155.283 60.9952C154.945 61.8574 154.46 62.5139 153.83 62.9646C153.199 63.4154 152.458 63.6407 151.606 63.6407ZM150.729 54.6752C149.994 54.6752 149.458 54.9038 149.12 55.3611C148.782 55.8118 148.606 56.5598 148.593 57.6049V57.9283C148.593 59.1041 148.765 59.9467 149.11 60.4562C149.461 60.9658 150.014 61.2205 150.768 61.2205C152.1 61.2205 152.767 60.1166 152.767 57.9087C152.767 56.8308 152.601 56.0241 152.269 55.4885C151.944 54.9463 151.431 54.6752 150.729 54.6752Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M167.784 60.4758H166.068V63.4447H163.123V60.4758H157.038V58.3692L163.289 49.1195H166.068V58.1242H167.784V60.4758ZM163.123 58.1242V55.6942C163.123 55.2892 163.139 54.7013 163.172 53.9305C163.204 53.1597 163.23 52.7123 163.25 52.5882H163.172C162.931 53.1238 162.642 53.6464 162.304 54.1559L159.69 58.1242H163.123Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M178.628 63.4447L177.595 60.0349H172.397L171.363 63.4447H168.106L173.138 49.0607H176.834L181.885 63.4447H178.628ZM176.873 57.4873C175.917 54.3976 175.378 52.6502 175.254 52.2452C175.137 51.8402 175.053 51.5201 175.001 51.285C174.786 52.1211 174.172 54.1886 173.158 57.4873H176.873Z"
                            fill="#22C0D2"
                        />
                        <path d="M186.43 63.4447H183.455V48.1985H186.43V63.4447Z" fill="#22C0D2" />
                        <path d="M192.534 63.4447H189.56V48.1985H192.534V63.4447Z" fill="#22C0D2" />
                    </g>
                    <defs>
                        <clipPath id="clip0_22_4121">
                            <rect width="246" height="67" fill="white" />
                        </clipPath>
                    </defs>
                </svg>
            </Box>
            <Box w={{ base: "70px", custombreak: "100px" }} id="svg2">
                <svg
                    width="100%"
                    height="67"
                    viewBox="0 -5 120 77"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                >
                    <g>
                        <path d="M61.4748 0H0V61.7753H61.4748V0Z" fill="#A4E5EC" />
                        <path
                            d="M61.474 28.6081V61.7753H0V28.6081C6.87385 25.332 18.0843 23.1975 30.7374 23.1975C43.3898 23.1975 54.601 25.332 61.474 28.6081Z"
                            fill="#22C0D2"
                        />
                        <path
                            d="M0 51.2185C6.87385 47.9424 18.0843 45.8072 30.7374 45.8072C43.3898 45.8072 54.6009 47.9424 61.4748 51.2185V61.7753H0V51.2185Z"
                            fill="#05668D"
                        />
                        <path
                            d="M0 21.2942C9.44507 17.5248 20.0912 14.1284 30.9319 14.6481C31.4167 13.2388 32.7482 12.2259 34.316 12.2259C36.1678 12.2259 37.6908 13.639 37.876 15.4509C46.5137 16.8128 54.6002 19.0667 61.474 23.2643V25.4243C61.1498 25.1397 60.9615 24.9737 60.9615 24.9737C54.4304 20.8871 46.7429 18.6657 38.5198 17.303C45.8961 22.2544 50.5199 28.7051 52.4836 36.6031C53.2895 36.5837 54.1116 36.7357 54.8997 37.0778C56.6318 37.8293 57.8106 39.3325 58.2212 41.0442C59.3451 40.6859 60.4304 40.2663 61.474 39.7815V41.6748C60.4729 42.1052 59.4362 42.483 58.3679 42.8079C58.3231 43.4424 58.1726 44.0792 57.9078 44.6958C56.7036 47.498 53.5612 48.8584 50.736 47.8781C50.7345 47.8835 50.7321 47.8881 50.7298 47.8936L47.4075 55.624C47.3396 55.7815 47.1582 55.8536 47.0015 55.7861L46.7622 55.6822C46.6055 55.6147 46.533 55.4317 46.6009 55.2742L49.9232 47.5438C49.9255 47.5383 49.9278 47.5337 49.9301 47.5283C47.3049 46.1461 46.1339 42.9561 47.2894 40.1701C37.9385 34.2088 27.0299 30.0058 13.6165 28.6214C13.2452 30.0322 12.2394 31.2437 10.8237 31.8293C10.8252 31.8347 10.8276 31.8401 10.8291 31.8463L12.9017 38.4902C12.9534 38.6538 12.8623 38.8283 12.7002 38.8795L12.4933 38.9439C12.3312 38.9951 12.1576 38.9043 12.1066 38.7407L10.034 32.0961C10.0325 32.0907 10.031 32.0852 10.0294 32.079C7.63881 32.6103 5.20035 31.2228 4.45468 28.8316C4.23855 28.1397 4.18683 27.4347 4.27792 26.7599C2.82904 26.4458 1.42803 26.2294 0 26.1394V24.3951C1.60711 24.4921 3.18104 24.7418 4.81671 25.1071C5.38715 24.0538 6.34972 23.2131 7.5786 22.8253C9.1834 22.3204 10.8546 22.7105 12.058 23.7165C16.0642 20.9786 21.8095 18.5083 29.27 16.3219C18.9882 16.1815 8.93639 19.5181 0 23.1355V21.2942ZM13.1572 25.0389C13.3185 25.3266 13.4536 25.6369 13.5555 25.9649C13.6527 26.2752 13.716 26.5877 13.7492 26.8988C27.4653 28.3065 38.6178 32.6002 48.1779 38.691C48.8718 37.8526 49.7796 37.2407 50.7816 36.9025C48.8348 29.2457 44.2342 23.0332 36.9042 18.3058C36.3368 18.9031 35.5665 19.3041 34.705 19.3971C34.7058 19.4041 34.7058 19.4111 34.7058 19.4181V24.6441C34.7058 24.8155 34.5676 24.9543 34.397 24.9543H34.2349C34.0643 24.9543 33.9262 24.8155 33.9262 24.6441V19.4181C33.9262 19.4111 33.9262 19.4041 33.9269 19.3971C32.7459 19.2691 31.737 18.5633 31.1859 17.5675C23.3008 19.7671 17.273 22.2459 13.1572 25.0389Z"
                            fill="white"
                        />
                    </g>
                    <defs>
                        <clipPath id="clip0_22_4121">
                            <rect width="100" height="67" fill="white" />
                        </clipPath>
                    </defs>
                </svg>
            </Box>
        </div>
    );
};
